<div class="picker">

  <div>
    <ion-spinner color="primary" *ngIf="isLoading"></ion-spinner>
  </div>

  <div class="img-location" *ngIf="selectLocationImage && !isLoading"> 
    <ion-img [src]="selectLocationImage" (click)="onPickLocation()"></ion-img>
  </div>

<ion-button color="primary" (click)="onPickLocation()" *ngIf="!selectLocationImage"> 
  <ion-icon name="map" slot="start"></ion-icon>
  <ion-label>Select Location</ion-label>
</ion-button>
</div>